PDA

View Full Version : Why yammi 1.0 compiled without ogg on Fedora Core 2 ?



obelix
17th July 2004, 05:54 AM
Hi Fedora Users.

I should like to compile yammi 1.0 (http://yammi.sourceforge.net/), but yammi not found ogglibs :confused:

libogg-devel, libvorbis-devel, libao-devel and vorbis-tools on my System.

Here the ./configure --prefix=/usr output:

-------------- cut ---------------------

checking for Qt... libraries /usr/lib/qt-3.3/lib, headers /usr/lib/qt-3.3/include using -mt
checking if Qt compiles without flags... no
checking for moc... /usr/lib/qt-3.3/bin/moc
checking for uic... /usr/lib/qt-3.3/bin/uic
checking whether uic supports -L ... yes
checking whether uic supports -nounload ... yes
checking if Qt needs -ljpeg... no
checking for rpath... yes
checking for KDE... libraries /usr/lib, headers /usr/include/kde
checking for KDE paths... defaults
checking for dcopidl... /usr/bin/dcopidl
checking for dcopidl2cpp... /usr/bin/dcopidl2cpp
checking for mcopidl... /usr/bin/mcopidl
checking for artsc-config... /usr/bin/artsc-config
checking for kde-config... /usr/bin/kde-config
checking for meinproc... /usr/bin/meinproc
checking if admin should be compiled... no
checking if yammi should be compiled... yes
checking for main in -lstdc++... yes
checking for ogg_sync_init in -logg... yes
checking for vorbis_comment_init in -lvorbis... yes
checking for ov_open in -lvorbisfile... yes
checking for g_free in -lgdk... no
configure: WARNING: *** Warning: ogg libs support disabled => no reading/writing of tags in ogg files! ***
checking for deflate in -lz... yes
checking for ID3Tag_Link in -lid3... yes
configure: reading/writing of tags in MP3 files is supported
checking for xmms-config... /usr/bin/xmms-config
checking for mawk... (cached) gawk
checking for XMMS - version >= 1.2.6... yes
checking for main in -lkdecore... yes
configure: *** noatun support enabled ***
configure: creating ./config.status
config.status: creating Makefile
config.status: creating yammi/Makefile
config.status: creating yammi/docs/Makefile
config.status: creating yammi/docs/en/Makefile
config.status: creating yammi/icons/Makefile
config.status: creating config.h
config.status: config.h is unchanged
configure:
Configuration for yammi 1.0 :
--------------------------------
Source code location .: .
Host System Type .....: i686-pc-linux-gnu
Preprocessor .........: gcc -DQT_THREAD_SUPPORT -D_REENTRANT -I/usr/include
Compiler .............: gcc -I/usr/include/xmms -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -O2
Linker ...............: gcc -lkdecore -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -lxmms -lid3 -lz -lvorbisfile -lvorbis -logg -lstdc++
KDE environment.......: yes
XMMS support .........: yes
Noatun support .......: yes
ogglibs support ......: no
id3lib support .......: yes
Install path .........: /usr
If this path does not exist or is not the desired install path,
you should re-run configure, giving a suitable path with the --prefix option
For example ./configure --prefix=/opt/kde3

Look for any WARNINGs output by the configure script (run ./configure --help to see all options).
If you're satisfied, type 'make' to build yammi 1.0,
and then 'make install' for installation.
-------------------- cut --------------------
Thanks :)
Greetings,
Obelix

PS: Sorry for my English.

Jman
17th July 2004, 12:26 PM
Your English is pretty good. :)

The documentation (http://yammi.sourceforge.net/docs/index-2.html) says you need libvorbis, libvorbisfile and libvorbis-dev for ogg tags. The Fedora packages may be named something different. Also, it might be disabled in the confguration. Search the Makefile for ogg. Or maybe you can add something the ./configure command to enable it.

foolish
17th July 2004, 12:39 PM
Try ./configure help to get some assistance. You may need to do something like ./configure --enable-vorbis or similar, but see ./configure --help.

obelix
17th July 2004, 11:46 PM
Thanks for your answer :)

By default ogg is activated.

look:

configure:
Requested:
KDE environment.......: yes
XMMS support .........: yes
Noatun support .......: yes
ogglibs support ......: yes
id3lib support .......: yes

This RPM packets are on my System:
rpm -qa '*ogg*'
libogg-devel-1.1-2.1
libogg-1.1-2.1

rpm -qa '*vorbis*'
vorbis-tools-1.0.1-2
libvorbis-devel-1.0.1-2.1
libvorbis-1.0.1-2.1

Additionally I installed the vorbis - Sources to /usr/local and yammi also not found.

greets,
Obelix

foolish
18th July 2004, 12:44 AM
Contact the developers of yammi, this might be a bug.

obelix
18th July 2004, 06:39 AM
Contact the developers of yammi, this might be a bug.
OK.

thx :)
Obelix

obelix
21st July 2004, 07:22 AM
Hi.

The configure - Script forgot binding the X11-libs. At www.linuxforen.de (http://www.linuxforen.de/forums/showthread.php?t=144768) User kth have the answer to this problem:


LDFLAGS="-lX11 -lXext -lXi -L/usr/X11R6/lib" ./configure --prefix=/usr

Version 1.2-alpha-3 have fixed this problem.

greets,
Obelix